
/**
 * \file MainDrawingWindow.h
 * \author Guyet Thomas, AGROCAMPUS-OUEST
 * \version 0.1
 * \date 23 Novembre 2010
 *
 * Module OCI - M2 GL - ISTIC : Correction TP1
 */

#ifndef MAINDRAWINGWINDOW_H_
#define MAINDRAWINGWINDOW_H_

#include <gtkmm.h>
#include "ColorSelector.h"
#include <iostream>
#include <list>

/**
 * \class BuilderWindow
 * \brief Interface générale construite avec Glade
 */
class BuilderWindow: public Gtk::Window {
protected:
	Gtk::DrawingArea *_drawing;
	ColorSelector *_colormanager;
	Gtk::Button *_button;
protected:
	/**
	 * Handler de l'action à mener lorsque le bouton est cliqué
	 */
	void on_button_clicked();

	/**
	 * Gestion de la sortie de l'application
	 */
	bool on_delete_event(GdkEventAny* event);

public:
	/**
	 * Constructeur pour le chargement par Gtk::Builder
	 */
	BuilderWindow(BaseObjectType* cobject, const Glib::RefPtr<Gtk::Builder>& builder);
	virtual ~BuilderWindow(){};
};


/**
 * \class ManualWindow
 * \brief Interface générale construite manuellement
 */
class ManualWindow: public Gtk::Window {
protected:
	Gtk::DrawingArea *_drawing;
	ColorSelector *_colormanager;
	Gtk::Button *_button;
protected:
	/**
	 * Handler de l'action à mener lorsque le bouton est cliqué
	 */
	void on_button_clicked();
public:
	ManualWindow();
	virtual ~ManualWindow(){};
};

#endif /* MAINDRAWINGWINDOW_H_ */
