
/**
 * \file main.cpp
 * \author Guyet Thomas, AGROCAMPUS-OUEST
 * \version 0.1
 * \date 23 Novembre 2010
 *
 * Module OCI - M2 GL - ISTIC : Correction TP1
 */

#include <gtkmm.h>
#include <iostream>
#include "MainDrawingWindow.h"

int main(int argc, char **argv)
{
    Gtk::Main app(argc, argv);

    //Par défaut, on utilise la version avec Glade, si on utilise l'option -m alors on passe en version manuelle de l'interface.
    bool manual=false;
    for(int i=1;i<argc;i++) {
    	if( !strcmp(argv[i],"-m") || !strcmp(argv[i],"-manual") ) {
			manual=true;
		}
    }

    if( manual ) { // Cas de l'interface manuelle
    	ManualWindow* pWindow = new ManualWindow();
    	app.run(*pWindow);
    } else { //Cas de l'interface Glade

		if (!g_module_supported ()) {
			g_warning ("Not supported\n");
			return EXIT_FAILURE;
		}

		// Chargement du fichier Glade et gestion des erreurs de chargement
		Glib::RefPtr<Gtk::Builder> refBuilder = Gtk::Builder::create();
		try {
			refBuilder->add_from_file("IHM_Dessin_simple.glade");
		} catch(const Glib::FileError& ex) {
			std::cerr << "File Error: " << ex.what() << std::endl;
			return EXIT_FAILURE;
		} catch(const Gtk::BuilderError& ex) {
			std::cerr << "GtkBuilder Error: " << ex.what() << std::endl;
			return EXIT_FAILURE;
		}

		//Construction de l'interface par le Gtk::Builder
		BuilderWindow* pWindow = 0;
		refBuilder->get_widget_derived("Main_DessinWindow", pWindow);
		if(pWindow) {
			//Start:
			pWindow->set_size_request(600, 400);
			app.run(*pWindow);
		}

		delete pWindow;
    }

    return EXIT_SUCCESS;
}
